Bug 161786 - databases/postgresql84-server: regression breaks other ports including Perl and Tinderbox
databases/postgresql84-server: regression breaks other ports including Perl a...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 23:00 UTC by Matthias Andree
Modified: 2011-11-30 18:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2011-10-18 23:00:33 UTC
The PostgreSQL84-server upgrade to 8.4.9 breaks other ports, like
Tinderbox:

# sh -Tx /usr/local/etc/rc.d/tinderd start

...
install_driver(Pg) failed: Can't load
'/usr/local/lib/perl5/site_perl/5.12.4/mach/auto/DBD/Pg/Pg.so' for
module DBD::Pg: /usr/local/lib/libpq.so.5: Undefined symbol
"GSS_C_NT_HOSTBASED_SERVICE" at
/usr/local/lib/perl5/5.12.4/mach/DynaLoader.pm line 200.
 at (eval 10) line 3
Compilation failed in require at (eval 10) line 3.
Perhaps a required shared library or dll isn't installed where expected
 at /usr/local/tinderbox/scripts/lib/Tinderbox/TinderboxDS.pm line 88
...

$ ldd /usr/local/lib/libpq.so.5
  /usr/local/lib/libpq.so.5:
    libintl.so.9 => /usr/local/lib/libintl.so.9 (0x800c00000)
    libssl.so.6 => /usr/lib/libssl.so.6 (0x800d09000)
    libcrypto.so.6 => /lib/libcrypto.so.6 (0x800e5c000)
    libcrypt.so.5 => /lib/libcrypt.so.5 (0x8010fc000)
    libc.so.7 => /lib/libc.so.7 (0x800648000)
    libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x801215000)

No wonder it can't resolve GSS_C_NT_HOSTBASED_SERVICE.


I had previously had 8.4.8 installed, and when the config dialog was
presented to me, just acknowledged it without any change.

This is the resulting config file:

$ cat /var/db/ports/postgresql84/options 
# This file is auto-generated by 'make config'.
# No user-servicable parts inside!
# Options for postgresql-client-8.4.5
_OPTIONS_READ=postgresql-client-8.4.5
WITH_NLS=true
WITHOUT_PAM=true
WITHOUT_LDAP=true
WITHOUT_MIT_KRB5=true
WITHOUT_HEIMDAL_KRB5=true
WITHOUT_OPTIMIZED_CFLAGS=true
WITH_XML=true
WITH_TZDATA=true
WITHOUT_DEBUG=true
WITH_GSSAPI=true
WITHOUT_ICU=true
WITHOUT_ICU4=true
WITH_INTDATE=true
Comment 1 Edwin Groothuis freebsd_committer 2011-10-18 23:00:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 matthias.andree 2011-10-19 18:37:49 UTC
My previous configuration did set WITH_GSSAPI=true, so I'll assume that
the GSSAPI option is broken in 8.4.9.
Comment 3 aquin 2011-10-21 23:59:11 UTC
It's also breaks php-pgsql with the same error


PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20090626/pgsql.so' - /usr/local/lib/libpq.so.5: Undefined symbol "GSS_C_NT_HOSTBASED_SERVICE" in Unknown on line 0
Comment 4 Eygene Ryabinkin freebsd_committer 2011-10-24 22:30:36 UTC
Could you, please, try the patch from
  http://codelabs.ru/fbsd/ports/postgresql/fix-GSSAPI-support-shlibs.diff
and report any outcome.

Thanks!
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 5 Matthias Andree freebsd_committer 2011-10-29 23:39:30 UTC
The patch seems to work for me.
Comment 6 John Marshall 2011-11-21 00:53:39 UTC
I just applied the patch from rea@ to 8.4.9_3 (with fuzz) and it worked
for me on 8.2-RELEASE/i386.

Thank you!

-- 
John Marshall
Comment 7 Chris Rees freebsd_committer 2011-11-30 17:58:30 UTC
Responsible Changed
From-To: girgen->crees

Maintainer timeout
Comment 8 dfilter freebsd_committer 2011-11-30 18:49:40 UTC
crees       2011-11-30 18:49:31 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql84-server Makefile 
    databases/postgresql90-server Makefile 
    databases/postgresql91-server Makefile 
  Log:
  Add DTRACE option for postgresql84-server
  
  PR:             ports/150431
  Submitted by:   rpaulo
  
  Fix compilation with GSSAPI
  
  PR:             ports/161786
  Submitted by:   rea
  Reviewed by:    mandree, John Marshall <john.marshall@riverwillow.com.au>
  
  Mark IGNORE if DTRACE enabled for FreeBSD < 900021 without userland dtrace
  
  PR:             ports/152502
  Submitted by:   Sevan Janiyan <venture37@geeklan.co.uk>
  
  Approved by:    maintainer timeout (girgen, at least 2 months)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.238     +13 -2     ports/databases/postgresql84-server/Makefile
  1.231     +6 -1      ports/databases/postgresql90-server/Makefile
  1.233     +6 -1      ports/databases/postgresql91-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Chris Rees freebsd_committer 2011-11-30 18:50:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!